We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date

GetSelectedRecords Error JS Exception

Hi,
I upgraded to the latest syncfusion and net core update.
I can't use anymore the function "GetSelectedRecords "
This is the error: JS Exception
Complete report at: (I can't post the full report here because the forum report it as a url)
pastebin . com/VyzQ2KCE

3 Replies

RS Renjith Singh Rajendran Syncfusion Team August 21, 2019 12:48 AM

Hi Elio, 

Thanks for contacting Syncfusion support. 

We have analyzed the error message which you have shared with us. We suspect that the problem is because of using older version “ejs.interop.min.js” file in your application. So we suggest you to ensure to use our latest version(17.2.46) script files to overcome the problem you are facing. Please use the below scripts and styles in your application, 

 
    <link rel='nofollow' href="https://cdn.syncfusion.com/ej2/17.2.46/material.css" rel="stylesheet" /> 
 

For your convenience we have prepared a sample and the sample can be downloaded from the below link. In this sample we have called the “GetSelectedRecords()” method in a button click event.  

 
Please get back to us if you need further assistance.  

Regards, 
Renjith Singh Rajendran. 



EL Elio August 21, 2019 04:34 AM

Thank you very much.
I think you have to update your documentation because it reports the 17.2.40.


VN Vignesh Natarajan Syncfusion Team August 22, 2019 01:06 AM

Hi Elio, 

Thanks for the update.  

We are happy to hear that your query has been resolved by our solution. Please find the updated the documentation from below. 


If the issue still persist, kindly clear the cache and try to re-open the above link.  

Please get back to us if you have any further queries. 

Regards, 
Vignesh Natarajan.

Loader.
Live Chat Icon For mobile
Up arrow icon